MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# music_chunk Struct Reference

A chunk of music data. More...

`#include <chunk.h>`

## Data Fields
struct music_chunk * | next
| the next chunk in a linked list
struct music_chunk * | other
| An optional chunk which should be mixed into this chunk.
float | mix_ratio
| The current mix ratio for cross-fading: 1.0 means play 100% of this chunk, 0.0 means play 100% of the "other" chunk.
uint16_t | length
| number of bytes stored in this chunk
uint16_t | bit_rate
| current bit rate of the source file
float | times
| the time stamp within the song
struct tag * | tag
| An optional tag associated with this chunk (and the following chunks); appears at song boundaries.
struct replay_gain_info | replay_gain_info
| Replay gain information associated with this chunk.
unsigned | replay_gain_serial
| A serial number for checking if replay gain info has changed since the last chunk.
char | data [CHUNK_SIZE]
| the data (probably PCM)
struct audio_format | audio_format

## Detailed Description

A chunk of music data.

Its format is defined by the music_pipe_append() caller.

Definition at line 43 of file chunk.h.

## Field Documentation

struct audio_format music_chunk::audio_format

Definition at line 93 of file chunk.h.

uint16_t music_chunk::bit_rate

current bit rate of the source file

Definition at line 63 of file chunk.h.

char music_chunk::data[CHUNK_SIZE]

the data (probably PCM)

Definition at line 90 of file chunk.h.

uint16_t music_chunk::length

number of bytes stored in this chunk

Definition at line 60 of file chunk.h.

float music_chunk::mix_ratio

The current mix ratio for cross-fading: 1.0 means play 100% of this chunk, 0.0 means play 100% of the "other" chunk.

Definition at line 57 of file chunk.h.

struct music_chunk* music_chunk::next

the next chunk in a linked list

Definition at line 45 of file chunk.h.

struct music_chunk* music_chunk::other

An optional chunk which should be mixed into this chunk.

This is used for cross-fading.

Definition at line 51 of file chunk.h.

struct replay_gain_info music_chunk::replay_gain_info

Replay gain information associated with this chunk.

Only valid if the serial is not 0.

Definition at line 80 of file chunk.h.

unsigned music_chunk::replay_gain_serial

A serial number for checking if replay gain info has changed since the last chunk.

The magic value 0 indicates that there is no replay gain info available.

Definition at line 87 of file chunk.h.

struct tag* music_chunk::tag

An optional tag associated with this chunk (and the following chunks); appears at song boundaries.

The tag object is owned by this chunk, and must be freed when this chunk is deinitialized in music_chunk_free()

Definition at line 74 of file chunk.h.

float music_chunk::times

the time stamp within the song

Definition at line 66 of file chunk.h.

The documentation for this struct was generated from the following file:

- src/chunk.h